Loading...
Searching...
No Matches
etl::shared_message Class Reference

## Public Member Functions

template<typename TPool, typename TMessage>
| shared_message (TPool &owner, const TMessage &message)
| Constructor.
| shared_message (etl::ireference_counted_message &rcm)
| Constructor.
| shared_message (const etl::shared_message &other)
| Copy constructor.
shared_message & | operator= (const etl::shared_message &other)
| Copy assignment operator.
| ~shared_message ()
ETL_NODISCARD etl::imessage & | get_message ()
| Get a reference to the contained message.
ETL_NODISCARD const etl::imessage & | get_message () const
| Get a const reference to the contained message.
ETL_NODISCARD uint32_t | get_reference_count () const
| Get the current reference count for this shared message.
ETL_NODISCARD bool | is_valid () const
| Checks if the shared message is valid.

## Constructor & Destructor Documentation

## ~shared_message()

etl::shared_message::~shared_message | ( |  | ) |

inline

Destructor Returns the message back to the pool it it is the last copy.

The documentation for this class was generated from the following file:

- include/etl/shared_message.h